use crate::{
    util::pack::pack_u16,
    app::InviteToken,
};

use super::Packet;

#[derive(Clone)]
pub struct PacketInviteAcquireResponse {
    pub status:u16,
    pub token:InviteToken,
}
impl PacketInviteAcquireResponse {
    pub fn new() -> Self
    {
        Self {
            status:0,
            token:InviteToken::default(),
        }
    }
}
impl Packet for PacketInviteAcquireResponse {
    type Data = Self;

    fn encode(&self) -> Vec<u8>
    {
        [
            pack_u16(self.status),
            self.token.to_vec(),
        ].concat()
    }
}
