const LANGUAGE = { };

const LANG_ENGLISH = 0;
const LANG_JAPANESE = 1;

LANGUAGE.Term = class {
    constructor(en, jp) {
        this.data = [ en, jp ];
    }
};

LANGUAGE.Terms = {
    title: new LANGUAGE.Term( "Dzura", "ヅラ" ),

    dawn:   new LANGUAGE.Term( "Dawn",   "暁"   ),
    dusk:   new LANGUAGE.Term( "Dusk",   "黄昏" ),

    handle: new LANGUAGE.Term( "Handle", "ハンドル" ),
    secret: new LANGUAGE.Term( "Password", "秘文" ),
    invitation: new LANGUAGE.Term( "Invitation", "招待" ),

    reconnect: new LANGUAGE.Term( "Reconnect", "再接続" ),
    register: new LANGUAGE.Term( "Register", "登録" ),
    login: new LANGUAGE.Term( "Log In", "ログイン" ),

    challenge: new LANGUAGE.Term( "Challenge", "挑戦" ),

    browse: new LANGUAGE.Term( "Browse", "対局列挙" ),
    resume: new LANGUAGE.Term( "Resume", "続く" ),
    live: new LANGUAGE.Term( "Live", "今頃" ),
    history: new LANGUAGE.Term( "History", "再生" ),
    practice: new LANGUAGE.Term( "Practice", "練習" ),
    guide: new LANGUAGE.Term( "Guide", "ガイド" ),
    about: new LANGUAGE.Term( "About", "概要" ),

    account: new LANGUAGE.Term( "Account", "アカウント" ),
    logout: new LANGUAGE.Term( "Logout", " ログアウト" ),
    extras: new LANGUAGE.Term( "Extras", " お負け" ),

    turns: new LANGUAGE.Term( "Turns", "手番数" ),
    viewers: new LANGUAGE.Term( "Viewers", "観戦者" ),

    review: new LANGUAGE.Term( "Review", "再生" ),
    view: new LANGUAGE.Term( "View", "観戦" ),

    refresh: new LANGUAGE.Term( "Refresh", "改まる" ),

    rotate: new LANGUAGE.Term( "Rotate", "回る" ),
    mirror: new LANGUAGE.Term( "Mirror", "鏡像" ),
    back: new LANGUAGE.Term( "Back", "戻る" ),
    resign: new LANGUAGE.Term( "Resign", "投了" ),
    confirm: new LANGUAGE.Term( "Confirm", "確認" ),
    undo: new LANGUAGE.Term( "Undo", "待った" ),
    reset: new LANGUAGE.Term( "Reset", "リセット" ),
    auto: new LANGUAGE.Term( "Auto", "自動" ),
    cpu: new LANGUAGE.Term("CPU", "CPU"),

    users: new LANGUAGE.Term( "Users", "ユーザー" ),
    requests: new LANGUAGE.Term( "Requests", "挑戦状" ),

    rank: new LANGUAGE.Term( "Rank", "段位" ),
    unranked: new LANGUAGE.Term( "Unranked", "無段" ),

    accept: new LANGUAGE.Term( "Accept", "受け入れ" ),
    decline: new LANGUAGE.Term( "Decline", "断る" ),
    
    play: new LANGUAGE.Term( "Play", "続く" ),

    check: new LANGUAGE.Term( "Check", "王手" ),
    checkmate: new LANGUAGE.Term( "Checkmate", "詰み" ),

    Militia: new LANGUAGE.Term( "Militia", "士" ),
    Lance: new LANGUAGE.Term( "Lance", "槍" ),
    Knight: new LANGUAGE.Term( "Knight", "騎" ),
    Tower: new LANGUAGE.Term( "Tower", "塔" ),
    Castle: new LANGUAGE.Term( "Castle", "城" ),
    Dragon: new LANGUAGE.Term( "Dragon", "竜" ),
    Behemoth: new LANGUAGE.Term( "Behemoth", "獣" ),
    Heart: new LANGUAGE.Term( "Heart", "元" ),
    
    
    //: new LANGUAGE.Term( "", "" ),
};

function LANG(term)
{
    return LANGUAGE.Terms[term].data[CONFIG_LANGUAGE];
}

function LANG_PAGEOF(min, max, total)
{
    switch(CONFIG_LANGUAGE) {
        case LANG_ENGLISH: return min + " - " + max + " of " + total;
        case LANG_JAPANESE: return min + " - " + max + " 件中 " + total + " 件";
    }
}
